%global git_date  20241125
%global git_hash  ca53099
%global git_ver  0.16
%global rel 1
%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz

Name:     wvkbd
Version:	%{git_ver}^%{git_date}g%{git_hash}
Release:	%{rel}%{?dist}
Summary:  wvkbd - On-screen keyboard for wlroots that sucks less
License:  GPLv3
URL:      https://github.com/jjsullivan5196/wvkbd
Source0:  %{url}/%{src_name}
Patch0:   pie.patch
Patch1:   install_prefix.patch

BuildRequires:  make gcc
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  scdoc

%description
This project aims to deliver a minimal but practically usable implementation
of a wlroots on-screen keyboard in legible C. This will only be a keyboard,
not a feedback buzzer, led blinker, or anything that requires more than
what's needed to input text quickly. The end product should be a static
codebase that can be patched to add new features.

%prep
%autosetup -p1 -n %{name}

%build
%make_build

%install
%make_install
# The Makefile installs to /bin instead of /usr/bin ...
##mkdir -p %{buildroot}%{_bindir}
##mv %{buildroot}/bin/* %{buildroot}%{_bindir}

%files
%doc README.md
%license LICENSE
%{_mandir}/man1/*
%{_bindir}/%{name}-mobintl

%changelog
%autochangelog
